//**********************************************//
if (top.location != location) top.location.href = location.href;

var singer = "暂时不过滤歌曲,暂时不过滤歌手";

var goto = "http://www.888wang.com/";


//**********************************************//
//
//'===========请保留版权信息,如果去除，将不提供相关服务==============
//' 888网音乐系统 V8.1 版
//' 管方网址：www.888wang.com
//' 技术支持: QQ:56566918
//' 客服：见www.888wang.com网站的客服QQ
//' 电话:15918529718
//'==================================================================

var cookiestr;
var TotalSongs;

function Insertsong(songstr){
	 var tstr;
	 tstr = songstr.split("|");
	 if(tstr.length == 5){
		cookiestr = cookiestr + "#" + songstr;
		InitList();
	 }
}

function killerror() {return true;}
window.onerror = killerror;

function InitList(){
	 var songarray,htmlstr,i,j,tstr,ttstr,selectedindex;
	 htmlstr = "<select size=\"13\" name=\"SongList\" style=\"BORDER-RIGHT: #F7F7F7 0px solid; BORDER-TOP: #F7F7F7 0px solid; BACKGROUND: #C3ECF4; BORDER-LEFT: #F7F7F7 0px solid; WIDTH: 284px; COLOR: #222222; BORDER-BOTTOM: #F7F7F7 0px solid;\" OnDblClick=\"www_888wang_com_java_player();\">";
	 songarray = cookiestr.split("#");
	 TotalSongs = 0;

	 for(i = 1;i < songarray.length;i++){
		tstr = songarray[i].split("|");


		if(tstr.length == 5){
			 TotalSongs += 1;
			 htmlstr += "<option value=\"" + songarray[i] + "\">";
			 ttstr = TotalSongs + "." + tstr[1];
			 if(ttstr.length < 23){
			 }else{
				 ttstr = ttstr.substr(0,23) + "..";
			 }
			 htmlstr += ttstr + "</option>;";
		}
	 }
	 htmlstr += "</select>";
	 playlist.innerHTML = htmlstr;
}

function www_888wang_com_java_player(){
	 if(SongList.selectedIndex < 0) alert('系统错误，请选择您要播放的曲目！');
	 else{
		var varvar,person,ii,singerarray,go1,go2,collect,song,url;
		varvar = SongList.options[SongList.selectedIndex].value.split("|");
		//alert(varvar.length + "\n" + SongList.options[SongList.selectedIndex].value);
		url = varvar[0];song = varvar[1];collect = varvar[2];
		person = varvar[3];SongID = varvar[4];Songi = varvar[4];
		//if(person.length > 5) info_person.innerHTML = person.substr(0,5) + "...";
		//else info_person.innerHTML = person;
		//if(collect.length > 6) info_collect.innerHTML = collect.substr(0,6) + "...";
		//else info_collect.innerHTML = collect;
		if(song.length > 23) info_song.innerHTML = song.substr(0,23) + "..";
		else info_song.innerHTML = song;

//**************************************************************
var singerarray = singer.split(",");

for(ii=0;ii<singerarray.length;ii++){

  go1 = varvar[2].indexOf(singerarray[ii]);
  go2 = varvar[1].indexOf(singerarray[ii]);

  if(go1>=0) {
    top.location.href = goto;
   return;
  }

  if(go2>=0) {
    top.location.href = goto;
   return;
  }

}//**************************************************************

		
			 MusicGeCi.innerHTML = "<iframe name=7town src='/ads/player_1.html' width=295 height=380 border=0 frameborder=0 scrolling=no marginwidth=0 marginheight=0><\/iframe>";
               				
				Musicls.innerHTML = "<A title=\"给[" + song + "]下载到手机\" href='/ads/mms.html?"  + song  + "' target=\"_blank\"><strong><font color=\"#FF0000\"><span style=\"background-color:#FFFF00\">下载["+song.substr(0,6)+"]到手机</font></b></A>";
				
              
				Musicivr.innerHTML = "<iframe name=7town src=\"/ads/mms.html?"  + song  + "\" width=295 height=300 border=0 frameborder=0 scrolling=no marginwidth=0 marginheight=0><\/iframe><IFRAME id=iframe name=iframe marginWidth=0 marginHeight=0 src=\"/ads/ivr.html?"  + song  + "\" frameBorder=0 width=295 scrolling=no height=300><\/IFRAME> ";
				
		//Exobud.URL=server+url;Exobud.controls.play();showTLab();//js调用音乐路径
		Exobud.URL=url;Exobud.controls.play();showTLab();//index.asp调用音乐路径
		//URLTmp = PageBasicAddress + SongID;
		return;
	 }
}

function Last_OneOK(){
	 if((SongList.selectedIndex > 0) && (SongList.selectedIndex < TotalSongs)){
		SongList.options[SongList.selectedIndex - 1].selected = true;
		www_888wang_com_java_player();
	 }
}

function Next_OneOK(){
	 if(SongList.selectedIndex >= 0){
		if(SongList.selectedIndex < TotalSongs - 1){
			SongList.options[SongList.selectedIndex + 1].selected = true;
	 		www_888wang_com_java_player();
		}else{
			SongList.options[0].selected = true;
	 		www_888wang_com_java_player();
		}
	 }
}
function showTLab(){
	 if(Exobud.playState == 1) Next_OneOK();
	 setTimeout("showTLab()", 1000);
}

